Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextFrame_iterator

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QTextFrame_iterator

All Implemented Interfaces:
  QtJambiInterface

    public class QTextFrame_iterator

extends QtJambiObject

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QTextFrame_iterator()` Constructs an invalid iterator.
`QTextFrame_iterator(QTextFrame_iterator o)` Copy constructor.

Method Summary
`boolean` | `atEnd()` Returns true if the current item is the last item in the text frame.
`QTextBlock` | `currentBlock()` Returns the current block the iterator points to.
`QTextFrame` | `currentFrame()` Returns the current frame pointed to by the iterator, or 0 if the iterator currently points to a block.
`boolean` | `equals(java.lang.Object other)`
`static QTextFrame_iterator` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QTextFrame_iterator instance pointed to by nativePointer
`static QNativePointer` | `nativePointerArray(QTextFrame_iterator[] array)` This function returns a QNativePointer that is pointing to the specified QTextFrame_iterator array.
`void` | `next()` Returns the next QTextFrame in this iterator.
`QTextFrame` | `parentFrame()` Returns the parent frame of the current frame.
`void` | `previous()` Returns the previous QTextFrame in this iterator.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QTextFrame_iterator

    public QTextFrame_iterator(QTextFrame_iterator o)

  Copy constructor. Constructs a copy of the `o` iterator.

### QTextFrame_iterator

    public QTextFrame_iterator()

  Constructs an invalid iterator.

Method Detail

### atEnd

    public final boolean atEnd()

  Returns true if the current item is the last item in the text frame.

### currentBlock

    public final QTextBlock currentBlock()

  Returns the current block the iterator points to. If the iterator points to a child frame, the returned block is invalid.

  @see `currentFrame`

### currentFrame

    public final QTextFrame currentFrame()

  Returns the current frame pointed to by the iterator, or 0 if the iterator currently points to a block.

  @see `currentBlock`

### parentFrame

    public final QTextFrame parentFrame()

  Returns the parent frame of the current frame.

  @see `currentFrame` @see `QTextFrame::parentFrame`

### fromNativePointer

    public static QTextFrame_iterator fromNativePointer(QNativePointer nativePointer)

  This function returns the QTextFrame_iterator instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QTextFrame_iterator[] array)

  This function returns a QNativePointer that is pointing to the specified QTextFrame_iterator array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### next

    public final void next()

  Returns the next QTextFrame in this iterator.

### previous

    public final void previous()

  Returns the previous QTextFrame in this iterator.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD